Intransition wrote:

> You should not have to do that. Just add '-rubygems' to your RUBYOPT
> environment variable --that's a necessary part of setting up RubyGems
> for one's system.

Not for me.  I stopped doing that a while ago.



> ... 
> You should simply not have to use require 'rubygems' in your code at
> all.


Unless you want to be deliberate about when you use it and when you don't.


-- 
James Britt

www.jamesbritt.com           - Playing with Better Toys
www.ruby-doc.org             - Ruby Help & Documentation
www.rubystuff.com            - The Ruby Store for Ruby Stuff
www.neurogami.com            - Smart application development